Loading...
Searching...
No Matches
pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar > Class Template Reference
Module visualization

RegistrationVisualizer represents the base class for rendering the intermediate positions occupied by the source point cloud during it's registration to the target point cloud. More...

`#include <pcl/visualization/registration_visualizer.h>`

## Public Member Functions

| RegistrationVisualizer ()
| Empty constructor.
| ~RegistrationVisualizer ()
bool | setRegistration (pcl::Registration< PointSource, PointTarget, Scalar > &registration)
| Set the registration algorithm whose intermediate steps will be rendered.
void | startDisplay ()
| Start the viewer thread.
void | stopDisplay ()
| Stop the viewer thread.
void | updateIntermediateCloud (const pcl::PointCloud< PointSource > &cloud_src, const pcl::Indices &indices_src, const pcl::PointCloud< PointTarget > &cloud_tgt, const pcl::Indices &indices_tgt)
| Updates visualizer local buffers cloud_intermediate, cloud_intermediate_indices, cloud_target_indices with the newest registration intermediate results.
void | setMaximumDisplayedCorrespondences (const int maximum_displayed_correspondences)
| Set maximum number of correspondence lines which will be rendered.
std::size_t | getMaximumDisplayedCorrespondences ()
| Return maximum number of correspondence lines which are rendered.

## Detailed Description

template<typename PointSource, typename PointTarget, typename Scalar = float>
class pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >

RegistrationVisualizer represents the base class for rendering the intermediate positions occupied by the source point cloud during it's registration to the target point cloud.

A registration algorithm is considered as input and it's convergence is rendered.

Author
  Gheorghe Lisca

Definition at line 57 of file registration_visualizer.h.

## Constructor & Destructor Documentation

## RegistrationVisualizer()

template<typename PointSource , typename PointTarget , typename Scalar = float>

pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::RegistrationVisualizer | ( |  | ) |

inline

Empty constructor.

Definition at line 62 of file registration_visualizer.h.

## ~RegistrationVisualizer()

template<typename PointSource , typename PointTarget , typename Scalar = float>

pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::~RegistrationVisualizer | ( |  | ) |

inline

Definition at line 69 of file registration_visualizer.h.

References pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::stopDisplay().

## Member Function Documentation

## getMaximumDisplayedCorrespondences()

template<typename PointSource , typename PointTarget , typename Scalar = float>

std::size_t pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::getMaximumDisplayedCorrespondences | ( |  | ) |

inline

Return maximum number of correspondence lines which are rendered.

Definition at line 149 of file registration_visualizer.h.

## setMaximumDisplayedCorrespondences()

template<typename PointSource , typename PointTarget , typename Scalar = float>

void pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::setMaximumDisplayedCorrespondences | ( | const int | maximum_displayed_correspondences | ) |

inline

Set maximum number of correspondence lines which will be rendered.

Definition at line 132 of file registration_visualizer.h.

## setRegistration()

template<typename PointSource , typename PointTarget , typename Scalar = float>

bool pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::setRegistration | ( | pcl::Registration< PointSource, PointTarget, Scalar > & | registration | ) |

inline

Set the registration algorithm whose intermediate steps will be rendered.

The method creates the local callback function pcl::RegistrationVisualizer::update_visualizer_ and binds it to the local buffers update function pcl::RegistrationVisualizer::updateIntermediateCloud(). The local callback function pcl::RegistrationVisualizer::update_visualizer_ is then linked to the pcl::Registration::update_visualizer_ callback function.

Parameters

  registration | represents the registration method whose intermediate steps will be rendered.

Definition at line 82 of file registration_visualizer.h.

References pcl::Registration< PointSource, PointTarget, Scalar >::getClassName(), pcl::Registration< PointSource, PointTarget, Scalar >::registerVisualizationCallback(), and pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::updateIntermediateCloud().

## startDisplay()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::startDisplay | ( |  | ) |

Start the viewer thread.

Definition at line 48 of file registration_visualizer.hpp.

## stopDisplay()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::stopDisplay | ( |  | ) |

Stop the viewer thread.

Definition at line 56 of file registration_visualizer.hpp.

Referenced by pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::~RegistrationVisualizer().

## updateIntermediateCloud()

template<typename PointSource , typename PointTarget , typename Scalar >

void pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::updateIntermediateCloud | ( | const pcl::PointCloud< PointSource > & | cloud_src,
|  | const pcl::Indices & | indices_src,
|  | const pcl::PointCloud< PointTarget > & | cloud_tgt,
|  | const pcl::Indices & | indices_tgt
| ) |  |

Updates visualizer local buffers cloud_intermediate, cloud_intermediate_indices, cloud_target_indices with the newest registration intermediate results.

Parameters

  cloud_src | represents the initial source point cloud
  indices_src | represents the indices of the intermediate source points used for the estimation of rigid transformation
  cloud_tgt | represents the target point cloud
  indices_tgt | represents the indices of the target points used for the estimation of rigid transformation

Definition at line 190 of file registration_visualizer.hpp.

Referenced by pcl::RegistrationVisualizer< PointSource, PointTarget, Scalar >::setRegistration().

The documentation for this class was generated from the following files:

- pcl/visualization/registration_visualizer.h
- pcl/visualization/impl/registration_visualizer.hpp